#!/usr/bin/perl -w

# Copyright (C) 2004 Planet Intelligent Systems GmbH
# Residence Park 1-7, 19065 Raben Steinfeld, Germany, Europe, Earth
# All rights reserved
#
# Author: Jan Starzynski
#
# $Id: rmgrp.pl,v 1.1.2.1 2004/06/15 08:58:50 sturnus Exp $
#
# $Log: rmgrp.pl,v $
# Revision 1.1.2.1  2004/06/15 08:58:50  sturnus
# remove all auction of a snipegroup
#

# remove all auctions of a bidgroup
# caution: no checks for valid snipegroups ids are done

$bw_dir = "$ENV{HOME}/.bidwatcher";
$group_file = "bidgroup.cfg";
$bw_file = "bw2.cfg";

chdir $bw_dir or die "cannot chdir $bw_dir: $!";

# read group file
{
  local $/ = "";
  open $group_file, $group_file or die "cannot read $group_file: $!";
  while(<$group_file>) {
    push @bidgroup, [split " "];
  }
  close $group_file;
}
#use Data::Dumper; print Dumper \@bidgroup;

# filter auction ids
@del = ();
for $bidgroup (sort { $b <=> $a } @ARGV) {
  push @del, @{splice @bidgroup, $bidgroup - 1, 1};

}
#use Data::Dumper; print Dumper \@bidgroup, \@del;exit;

# modify bw2.cfg
{
  local @ARGV = $bw_file;
  local $^I = "~";
  $print = 1;
  while(<>) {
    if(/auction\s+(\d+)/) {
      my $id = $1;
      $print = not grep { $id eq $_ } @del;
    }

    print if $print;

    if(/endauction/) {
      $print = 1;
    }
  }
}

# save bidgroup.cfg
{
  rename $group_file, "$group_file~";
  open $group_file, "> $group_file" or die "cannot write to $group_file: $!";
  local $, = $\ = "\n";
  for $bidgroup (@bidgroup) {
    print $group_file @$bidgroup, "";
  }
  close $group_file;
}

